<?php 

/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */

/*	//DEBUG
 foreach($_POST as $key => $value)
 echo $key."=".$value;
*/

include_once $_SERVER['DOCUMENT_ROOT'] . '/psyops_function.php';

if (array_key_exists('check_submit', $_POST)) {
	
$connect = connect_mysqli();
mysqli_select_db($connect, 'setup');

$idConn = connect_sqlsrv();

$cookie = ret_cookie($connect);
$repID = $cookie[0];
unset($cookie);

$checkSubmit = ($_POST['check_submit']);				
$binItem = sanitize($_POST['binItem']);			

$len = strlen($binItem);	
//$mfg = '%'.substr($keeneysItem, 0, 3);		// PRODUCTION - experimental - do I need the %?  not using it in allitems
//$sku = '%'.substr($keeneysItem, 3);
$mfg = substr($binItem, 0, 3);					// DEV
$sku = substr($binItem, 3);

setlocale(LC_MONETARY, 'en_US');

	
if ($checkSubmit == 9) {						// VIEW PO BIN REPORT

$tsql = "select Item.SKU, Item.MACCode, Item.Description, Item.Unit, ItemInventory.PrimaryBin, ItemInventory.SecondaryBin
from Item left join ItemInventory on Item.Id = ItemInventory.ItemId
where ItemInventory.Location = '9'
	and ((Item.SKU like (?))
		and (Item.MACCode like (?)))
	";
	
$params = array($sku, $mfg);				// PRODUCTION

$options = array("Scrollable" => SQLSRV_CURSOR_KEYSET);
$getReport = sqlsrv_query($idConn, $tsql, $params, $options);

if ($getReport === false) {
	die(print_r(sqlsrv_errors()) );
}

$row = sqlsrv_fetch_array($getReport, SQLSRV_FETCH_ASSOC);
	$itemNum  = trim($row['MACCode']).trim($row['SKU']);
// 	$key = trim($row['SKU']).trim($row['MACCode']);
	$key = str_pad(trim($row['SKU']), 15).trim($row['MACCode']);
	$desc = trim($row['Description']);
	$um = trim($row['Unit']);
	$pbin = trim($row['PrimaryBin']);
	$sbin = trim($row['SecondaryBin']);

					// 
echo ("
<script type='text/javascript'>
$(document).ready(function() 
    { 
	    $(document).ready(function() {
    	$('#viewtable').dataTable({
	    	'aaSorting': [[0,'asc']],
		    'bPaginate': false,
	        'bLengthChange': false,
	        'bFilter': false,
	        'bSort': true,
	        'bInfo': false,
	        'bAutoWidth': true
	    });
		});
    } 
); 
</script>
	<table border = '0' cellspacing='0' cellpadding='8' style='font-family:Arial, sans-serif;' id='viewtable' class='tablesorter'>
	<thead>
	<tr><th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>Item</th>
	<th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>Description</th>
	<th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>U/M</th>
	<th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>P Bin</th>
	<th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>S Bin</th>
	<th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>Bulk Bin</th>
	<th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>Unit</th>
	<th style='background-color:#ECECEC;font-size:12px;font-weight:bold;color:#000000;'>Qty</th>
	
	</tr></thead><tbody>
	");
	
mysqli_select_db($connect, 'item');

$queryString = "SELECT bin, bulk_unit, bulk_qty FROM bulk_bin WHERE '$key' = item_key and loc = '9'";
	$Qry = mysqli_query($connect, $queryString);
	$qryRes = mysqli_fetch_array($Qry);


$options = array("Scrollable" => SQLSRV_CURSOR_KEYSET);
$getReport = sqlsrv_query($idConn, $tsql, $params, $options);

if ($getReport === false) {
	die(print_r(sqlsrv_errors()) );
}
	

echo (
     "<tr><td style='font-size:12px;color:#000000;'>$itemNum</td>
     <td style='font-size:12px;color:#000000;'>$desc</td>
     <td style='font-size:12px;color:#000000;'>$um</td>
     <td style='font-size:12px;color:#000000;'>$pbin</td>
     <td style='font-size:12px;color:#000000;'>$sbin</td>
     <td style='font-size:12px;color:#000000;'>$qryRes[0]</td>
     <td style='font-size:12px;color:#000000;'>$qryRes[1]</td>
     <td style='font-size:12px;color:#000000;'>$qryRes[2]</td>
     </tr>");
//  $i++;

												// 
echo ("</table></form></html>");

mysqli_select_db($connect, 'setup');
insert_timestamp($connect, 'item bin', 'viewed', $repID);


// clean up
mysqli_close($connect);
sqlsrv_free_stmt($getReport);
sqlsrv_close($idConn);
unset($checkSubmit);
exit;
}															// END CHECKSUBMIT == 9

} else {
 	echo "You can't see this page without submitting the form.";
}	

?>

